com.google.cloud.dataflow.sdk.coders

## Interface CoderProvider

All Known Implementing Classes:
  CoderRegistry

    public interface CoderProvider

A `CoderProvider` may create a `Coder` for any concrete class.

### Method Summary

All Methods Instance Methods Abstract Methods
`<T> Coder<T>` `getCoder(TypeDescriptor<T> type)` Provides a coder for a given class, if possible.

### Method Detail

#### getCoder

    <T> Coder<T> getCoder(TypeDescriptor<T> type)
                   throws CannotProvideCoderException

Provides a coder for a given class, if possible.

Throws:
  `CannotProvideCoderException` - if no coder can be provided